Bug 740640 - suggestion for install-guide App. C.4.3 Luks formatting
Summary: suggestion for install-guide App. C.4.3 Luks formatting
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: install-guide
Version: devel
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Bokoc
QA Contact: Ruediger Landmann
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-22 19:37 UTC by bjass57
Modified: 2013-07-31 14:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-31 14:39:23 UTC


Attachments (Terms of Use)

Description bjass57 2011-09-22 19:37:30 UTC
Description of problem:
The Installation Guide appears to be written for newbies. So I was very pleased when I found App.C of the Installation Guide addressing an issue I wanted, ie to encrypt USB memory sticks using LUKS.

Having struggled with the intricacies listed in App. C I realised that 'Disk Utility' surely gives a much simpler route to this goal:
	unmount the memory stick
	Format the Volume
	tick the Encryption box
	give a passphrase and its all done!
Add the bonus that 'Disk Utility' also makes it harder to select the wrong drive and annihilate that which one dearly doesn't want annihilated. 

The detailed explaination of LUKS in App. C is highly commendable but shouldn't there be at least a mention of the simpler 'Disk Utility' route, ['Disk Utility' being part of the Fedora installed software,] before slogging down the App. C route.

Version-Release number of selected component (if applicable):
Fedora 15

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jack Reed 2011-11-08 23:13:38 UTC
Thanks for pointing this out. At the beginning of appendix C.4 in the F16 version of the guide, I've directed users to Disk Utility as an alternative. 

You can view the draft at http://docs.fedoraproject.org/en-US/Fedora/16/html/Installation_Guide/apcs04.html

Cheers,

Jack

Comment 2 Karsten Wade 2011-12-14 03:49:11 UTC
Removing myself for these bug components as I'm either no longer involved in that aspect of the project, or no longer care to watch this particular bug. Sorry if you are caught in a maelstrom of bug changes as a result!


Note You need to log in before you can comment on or make changes to this bug.